Skip to main content
`Ctrl`+`K`

# PetscFVSetUp

Setup the data structures for the `PetscFV` based on the `PetscFVType` provided by `PetscFVSetType()`

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetUp(PetscFV fvm)

Collective

## Input Parameter

- fvm - the `PetscFV` object to setup

## See Also

`PetscFV`, `PetscFVView()`, `PetscFVDestroy()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

## Examples

src/dm/impls/plex/tutorials/ex3f90.F90

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages